## stress-ng-0.15.03.tar.gz

=== Makefile ===
#
# Copyright (C) 2013-2021 Canonical, Ltd.
# Copyright (C) 2021-2023 Colin Ian King
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

VERSION=0.15.03
#
# Codename "hydrophonic purple squid"
#

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99

#
# Pedantic flags
#
ifeq ($(PEDANTIC),1)
CFLAGS += -Wcast-qual -Wfloat-equal -Wmissing-declarations \
	-Wmissing-format-attribute -Wno-long-long -Wpacked \
	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
	-Wno-missing-braces -Wno-sign-compare -Wno-multichar \
	-DHAVE_PEDANTIC
endif

#
# Expected build warnings
#
ifeq ($(UNEXPECTED),1)
CFLAGS += -DCHECK_UNEXPECTED
endif

#
# Disable any user defined PREFV setting
#
ifneq ($(PRE_V),)
override undefine PRE_V
endif
#
# Verbosity prefixes
#
ifeq ($(VERBOSE),)
PRE_V=@
PRE_Q=@
else
PRE_V=
PRE_Q=@#
endif

ifeq ($(findstring icc,$(CC)),icc)
CFLAGS += -no-inline-max-size -no-inline-max-total-size
CFLAGS += -axAVX,CORE-AVX2,CORE-AVX-I,CORE-AVX512,SSE2,SSE3,SSSE3,SSE4.1,SSE4.2,SANDYBRIDGE,SKYLAKE,SKYLAKE-AVX512,TIGERLAKE,SAPPHIRERAPIDS
CFLAGS += -ip -falign-loops -funroll-loops -ansi-alias -fma -qoverride-limits
endif

#ifeq ($(findstring clang,$(CC)),clang)
#CFLAGS += -Weverything
#endif

GREP = grep
#
# SunOS requires special grep for -e support
#
KERNEL=$(shell uname -s)
NODENAME=$(shell uname -n)
ifeq ($(KERNEL),SunOS)
ifneq ($(NODENAME),dilos)
GREP = /usr/xpg4/bin/grep
endif
endif

#
# Static flags, only to be used when using GCC
#
ifeq ($(STATIC),1)
LDFLAGS += -static -z muldefs
CFLAGS += -DBUILD_STATIC
endif

BINDIR=/usr/bin
MANDIR=/usr/share/man/man1
JOBDIR=/usr/share/stress-ng/example-jobs
BASHDIR=/usr/share/bash-completion/completions

#
# Header files
#
HEADERS = \
	core-arch.h \
	core-bitops.h \
	core-builtin.h \
	core-cache.h \
	core-capabilities.h \
	core-cpu.h \
	core-ftrace.h \
	core-hash.h \
	core-icache.h \
	core-io-priority.h \
	core-io-uring.c \
	core-nt-load.h \
	core-nt-store.h \
	core-net.h \
	core-perf.h \
	core-personality.c \
	core-pragma.h \
	core-pthread.h \
	core-put.h \
	core-resources.h \
	core-smart.h \
	core-sort.h \
	core-stressors.h \
	core-syslog.h \
	core-target-clones.h \
	core-thermal-zone.h \
	core-thrash.h \
	core-vecmath.h \
	core-version.h \
	stress-af-alg-defconfigs.h \
	stress-ng.h

#
#  Build time generated header files
#
HEADERS_GEN = \
	config.h \
	git-commit-id.h \
	io-uring.h \
	personality.h

#
#  Stressors
#
STRESS_SRC = \
	stress-access.c \
	stress-affinity.c \
	stress-af-alg.c \
	stress-aio.c \
	stress-aiol.c \
	stress-alarm.c \
	stress-apparmor.c \
	stress-atomic.c \
	stress-bad-altstack.c \
	stress-bad-ioctl.c \
	stress-bigheap.c \
	stress-bind-mount.c \
	stress-binderfs.c \
	stress-branch.c \
	stress-brk.c \
	stress-bsearch.c \
	stress-cache.c \
	stress-cacheline.c \
	stress-cap.c \
	stress-chattr.c \
	stress-chdir.c \
	stress-chmod.c \
	stress-chown.c \
	stress-chroot.c \
	stress-clock.c \
	stress-clone.c \
	stress-close.c \
	stress-context.c \
	stress-copy-file.c \
	stress-cpu.c \
	stress-cpu-online.c \
	stress-crypt.c \
	stress-cyclic.c \
	stress-daemon.c \
	stress-dccp.c \
	stress-dekker.c \
	stress-dentry.c \
	stress-dev.c \
	stress-dev-shm.c \
	stress-dir.c \
	stress-dirdeep.c \
	stress-dirmany.c \
	stress-dnotify.c \
	stress-dup.c \
	stress-dynlib.c \
	stress-efivar.c \
	stress-enosys.c \
	stress-env.c \
	stress-epoll.c \
	stress-eventfd.c \
	stress-exec.c \
	stress-exit-group.c \
	stress-fallocate.c \
	stress-fanotify.c \
	stress-far-branch.c \
	stress-fault.c \
	stress-fcntl.c \
	stress-file-ioctl.c \
	stress-fiemap.c \
	stress-fifo.c \
	stress-filename.c \
	stress-flock.c \
	stress-flushcache.c \
	stress-fork.c \
	stress-forkheavy.c \
	stress-fp.c \
	stress-fp-error.c \
	stress-fpunch.c \
	stress-fsize.c \
	stress-fstat.c \
	stress-full.c \
	stress-funccall.c \
	stress-funcret.c \
	stress-futex.c \
	stress-get.c \
	stress-getrandom.c \
	stress-getdent.c \
	stress-goto.c \
	stress-gpu.c \
	stress-handle.c \
	stress-hash.c \
	stress-hdd.c \
	stress-heapsort.c \
	stress-hrtimers.c \
	stress-hsearch.c \
	stress-icache.c \
	stress-icmp-flood.c \
	stress-idle-page.c \
	stress-inode-flags.c \
	stress-inotify.c \
	stress-io.c \
	stress-iomix.c \
	stress-ioport.c \
	stress-ioprio.c \
	stress-io-uring.c \
	stress-ipsec-mb.c \
	stress-itimer.c \
	stress-jpeg.c \
	stress-judy.c \
	stress-kcmp.c \
	stress-key.c \
	stress-kill.c \
	stress-klog.c \
	stress-kvm.c \
	stress-l1cache.c \
	stress-landlock.c \
	stress-lease.c \
	stress-link.c \
	stress-list.c \
	stress-llc-affinity.c \
	stress-loadavg.c \
	stress-lockbus.c \
	stress-locka.c \
	stress-lockf.c \
	stress-lockofd.c \
	stress-longjmp.c \
	stress-loop.c \
	stress-lsearch.c \
	stress-madvise.c \
	stress-malloc.c \
	stress-matrix.c \
	stress-matrix-3d.c \
	stress-mcontend.c \
	stress-membarrier.c \
	stress-memcpy.c \
	stress-memfd.c \
	stress-memhotplug.c \
	stress-memrate.c \
	stress-memthrash.c \
	stress-mergesort.c \
	stress-mincore.c \
	stress-misaligned.c \
	stress-mknod.c \
	stress-mlock.c \
	stress-mlockmany.c \
	stress-mmap.c \
	stress-mmapaddr.c \
	stress-mmapfixed.c \
	stress-mmapfork.c \
	stress-mmaphuge.c \
	stress-mmapmany.c \
	stress-mprotect.c \
	stress-mq.c \
	stress-mremap.c \
	stress-msg.c \
	stress-msync.c \
	stress-msyncmany.c \
	stress-munmap.c \
	stress-mutex.c \
	stress-nanosleep.c \
	stress-netdev.c \
	stress-netlink-proc.c \
	stress-netlink-task.c \
	stress-nice.c \
	stress-nop.c \
	stress-null.c \
	stress-numa.c \
	stress-oom-pipe.c \
	stress-opcode.c \
	stress-open.c \
	stress-pagemove.c \
	stress-pageswap.c \
	stress-pci.c \
	stress-personality.c \
	stress-peterson.c \
	stress-physpage.c \
	stress-pidfd.c \
	stress-ping-sock.c \
	stress-pipe.c \
	stress-pipeherd.c \
	stress-pkey.c \
	stress-plugin.c \
	stress-poll.c \
	stress-prctl.c \
	stress-prefetch.c \
	stress-priv-instr.c \
	stress-procfs.c \
	stress-pthread.c \
	stress-ptrace.c \
	stress-pty.c \
	stress-quota.c \
	stress-qsort.c \
	stress-race-sched.c \
	stress-radixsort.c \
	stress-randlist.c \
	stress-ramfs.c \
	stress-rawdev.c \
	stress-rawpkt.c \
	stress-rawsock.c \
	stress-rawudp.c \
	stress-rdrand.c \
	stress-readahead.c \
	stress-reboot.c \
	stress-regs.c \
	stress-remap.c \
	stress-rename.c \
	stress-resched.c \
	stress-resources.c \
	stress-revio.c \
	stress-ring-pipe.c \
	stress-rlimit.c \
	stress-rmap.c \
	stress-rotate.c \
	stress-rseq.c \
	stress-rtc.c \
	stress-sctp.c \
	stress-schedpolicy.c \
	stress-seal.c \
	stress-seccomp.c \
	stress-secretmem.c \
	stress-seek.c \
	stress-sem.c \
	stress-sem-sysv.c \
	stress-sendfile.c \
	stress-session.c \
	stress-set.c \
	stress-shellsort.c \
	stress-shm.c \
	stress-shm-sysv.c \
	stress-sigabrt.c \
	stress-sigchld.c \
	stress-sigfd.c \
	stress-sigfpe.c \
	stress-sigio.c \
	stress-signal.c \
	stress-signest.c \
	stress-sigpending.c \
	stress-sigpipe.c \
	stress-sigq.c \
	stress-sigrt.c \
	stress-sigsegv.c \
	stress-sigsuspend.c \
	stress-sigtrap.c \
	stress-skiplist.c \
	stress-sleep.c \
	stress-smi.c \
	stress-sock.c \
	stress-sockabuse.c \
	stress-sockdiag.c \
	stress-sockfd.c \
	stress-sockpair.c \
	stress-sockmany.c \
	stress-softlockup.c \
	stress-spawn.c \
	stress-sparsematrix.c \
	stress-splice.c \
	stress-stack.c \
	stress-stackmmap.c \
	stress-str.c \
	stress-stream.c \
	stress-swap.c \
	stress-switch.c \
	stress-sync-file.c \
	stress-syncload.c \
	stress-sysbadaddr.c \
	stress-syscall.c \
	stress-sysinfo.c \
	stress-sysinval.c \
	stress-sysfs.c \
	stress-tee.c \
	stress-timer.c \
	stress-timerfd.c \
	stress-tlb-shootdown.c \
	stress-tmpfs.c \
	stress-touch.c \
	stress-tree.c \
	stress-tsc.c \
	stress-tsearch.c \
	stress-tun.c \
	stress-udp.c \
	stress-udp-flood.c \
	stress-unshare.c \
	stress-uprobe.c \
	stress-urandom.c \
	stress-userfaultfd.c \
	stress-usersyscall.c \
	stress-utime.c \
	stress-vdso.c \
	stress-vecfp.c \
	stress-vecmath.c \
	stress-vecshuf.c \
	stress-vecwide.c \
	stress-verity.c \
	stress-vforkmany.c \
	stress-vm.c \
	stress-vm-addr.c \
	stress-vm-rw.c \
	stress-vm-segv.c \
	stress-vm-splice.c \
	stress-wait.c \
	stress-watchdog.c \
	stress-wcs.c \
	stress-x86cpuid.c \
	stress-x86syscall.c \
	stress-xattr.c \
	stress-yield.c \
	stress-zero.c \
	stress-zlib.c \
	stress-zombie.c \

#
# Stress core
#
CORE_SRC = \
	core-affinity.c \
	core-cache.c \
	core-cpu.c \
	core-hash.c \
	core-helper.c \
	core-icache.c \
	core-ignite-cpu.c \
	core-io-priority.c \
	core-job.c \
	core-killpid.c \
	core-klog.c \
	core-limit.c \
	core-lock.c \
	core-log.c \
	core-madvise.c \
	core-mincore.c \
	core-mlock.c \
	core-mmap.c \
	core-module.c \
	core-mounts.c \
	core-mwc.c \
	core-net.c \
	core-numa.c \
	core-out-of-memory.c \
	core-parse-opts.c \
	core-perf.c \
	core-resources.c \
	core-sched.c \
	core-setting.c \
	core-shared-heap.c \
	core-shim.c \
	core-smart.c \
	core-sort.c \
	core-thermal-zone.c \
	core-time.c \
	core-thrash.c \
	core-ftrace.c \
	core-try-open.c \
	core-vmstat.c \
	stress-ng.c

SRC = $(CORE_SRC) $(STRESS_SRC)
OBJS = $(SRC:.c=.o)

APPARMOR_PARSER=/sbin/apparmor_parser

all: makeconfig
	$(MAKE) stress-ng VERBOSE=$(VERBOSE)

#
#  Load in and set flags based on config
#
-include config
CFLAGS += $(CONFIG_CFLAGS)
LDFLAGS += $(CONFIG_LDFLAGS)
OBJS += $(CONFIG_OBJS)

.SUFFIXES: .c .o

.o: Makefile

%.o: %.c $(HEADERS) $(HEADERS_GEN)
	$(PRE_Q)echo "CC $<"
	$(PRE_V)$(CC) $(CFLAGS) -c -o $@ $<

stress-ng: $(OBJS)
	$(PRE_Q)echo "LD $@"
	$(PRE_V)$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -o $@

config.h:
	$(MAKE) CC="$(CC)" STATIC=$(STATIC) -f Makefile.config

.PHONY:
makeconfig: config.h

#
#  generate apparmor data using minimal core utils tools from apparmor
#  parser output
#
apparmor-data.o: usr.bin.pulseaudio.eg
	$(PRE_V)$(APPARMOR_PARSER) -Q usr.bin.pulseaudio.eg  -o apparmor-data.bin >/dev/null 2>&1
	$(PRE_V)echo "#include <stddef.h>" > apparmor-data.c
	$(PRE_V)echo "char g_apparmor_data[]= { " >> apparmor-data.c
	$(PRE_V)od -tx1 -An -v < apparmor-data.bin | \
		sed 's/[0-9a-f][0-9a-f]/0x&,/g' | \
		sed '$$ s/.$$//' >> apparmor-data.c
	$(PRE_V)echo "};" >> apparmor-data.c
	$(PRE_V)echo "const size_t g_apparmor_data_len = sizeof(g_apparmor_data);" >> apparmor-data.c
	$(PRE_Q)echo "CC $<"
	$(PRE_V)$(CC) -c apparmor-data.c -o apparmor-data.o
	$(PRE_V)rm -rf apparmor-data.c apparmor-data.bin

#
#  extract the PER_* personality enums
#
personality.h:
	$(PRE_V)$(CPP) $(CONFIG_CFLAGS) core-personality.c | $(GREP) -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
	| sed "s/.$$/,/" > personality.h
	$(PRE_Q)echo "MK personality.h"

stress-personality.c: personality.h

#
#  extract IORING_OP enums and #define HAVE_ prefixed values
#  so we can check if these enums exist
#
io-uring.h:
	$(PRE_V)$(CPP) $(CFLAGS) core-io-uring.c  | $(GREP) IORING_OP | sed 's/,//' | \
	sed 's/.*\(IORING_OP_.*\)/#define HAVE_\1/' > io-uring.h
	$(PRE_Q)echo "MK io-uring.h"

stress-io-uring.c: io-uring.h

core-perf.o: core-perf.c core-perf-event.c
	$(PRE_V)$(CC) $(CFLAGS) -E core-perf-event.c | $(GREP) "PERF_COUNT" | \
	sed 's/,/ /' | sed s/'^ *//' | \
	awk {'print "#define STRESS_" $$1 " (1)"'} > core-perf-event.h
	$(PRE_Q)echo CC $<
	$(PRE_V)$(CC) $(CFLAGS) -c -o $@ $<

stress-vecmath.o: stress-vecmath.c
	$(PRE_Q)echo CC $<
	$(PRE_V)$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<

#
#  define STRESS_GIT_COMMIT_ID
#
git-commit-id.h:
	$(PRE_Q)echo "MK $@"

=== debian/changelog ===
stress-ng (0.15.03-1) unstable; urgency=medium

  [Anton Eliasson]
  * stress-cpu: Add verification to rand48

  [Colin Ian King]
  * Makefile: bump version
  * Manual: update contributors names
  * stress-cpu: only verify rand48 for Linux glibc
  * stress-pci: disable reading of ROMs
  * core-ignite-cpu: randomly flip between cpu governors
  * Manual: update nop stressor INSTR to note nop15 is the largest nop
    for x86
  * stress-version.h: rename to core-version.h
  * stress-list: add per list method metrics
  * core-helper: minor code reformatting for alphabet string
  * core-helper: add compiler information to yaml file
  * Add number of instances used in geometric mean metrics
  * stress-fp: add alarm check flag in main stress fp loop, remove debug
  * stress-fp: fix metrics, should be adding stats for all instances
  * Add --sn (scientific notation) for metrics
  * core-helper: add more gcc and icc version information

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 19 Jan 2023 10:50:01 +0000

stress-ng (0.15.02-1) unstable; urgency=medium

  [Florian Weimer]
  * test/test-float.c: Avoid tickling an implicit int error
  * test-aligned-alloc: Define _GNU_SOURCE for the aligned_alloc prototype
  * test-fchmodat: Include <sys/stat.h> for the fchmodat prototype
  * test-pidfd-getfd: Include <syspidfd.h> if available for pidfd_getfd

  [Guilherme Janczak]
  * rework stress_strnrnd()

  [Yong-Xuan Wang]
  * stress-signest: disable alternative stack before unmap

  [Colin Ian King]
  * Makefile: bump verison, update to new code name
  * stress-forkheavy: cast mmap return to same type as pointer metrics
  * stress-fp: disable float128 for OpenBSD
  * stress-fp: disable float80 due to unresolved division by zero SIGFPEs
  * core-shared-heap: cast void * ptt to uintptr_t to clean up icc build
    warning
  * stress-matrix-3d: remove redundant redeclaration of variable j
  * stress-matrix: remove redundant redeclaration of variable j
  * stress-efivar: rename varname to get_varname to avoid name shadowing
  * stress-fp: add fp rates into metrics output, increase metrics to 24
    slots
  * stress-fp: only count bogo-ops for float, double, long double
  * core-helper: silence a spurious gcc warning
  * stress-str: replace search for _ with +
  * README.md: update number of stressors
  * stress-fp: exercise various floating point values with +, *, /
    operations
  * stress-branch: add yield call for SH4 to allow it to be interrupted
  * stress-pci: add locking around PCI memory rate stats
  * stress-ipsec-mb: add locking around statistics being dumped in debug
  * core-shared-heap: ensure offset is always aligned to natural pointer
    alignment
  * stress-fault: restore signal handlers at end of stressor loop
  * stress-bad-altstack: replace STRESS_MINSIGSTKSZ with static size_t
    stress_minsigstksz
  * core-shared-heap: only report shared heap usage if it has been used
  * core-mwc: add stress_mwc*modn() functions for modulo'd range
  * core-builtin.h: convert macros into inline functions
  * stress-*: voidify return from snprintf
  * stress-str: fix prototype for test_strcpy_t
  * stress-list: evaluate entry->value ^ rnd before passing it into a macro
  * stress-wcs: add missing strdsc for stress_wcscpy testcase
  * core-shared-heap: add strdup for shared description metrics string
  * stress-ng: replace size of on index element j with 0
  * stress-ng.h: divide by size of make allocator bitmap elements instead
    of 8
  * stress-cpu: use a clang builtin for reversing bits
  * core-hash: replace hash_rol_uint32 with shim_rol32n
  * stress-wcs: remove variable failed, use info.failed instead
  * stress-str: bundle wcs function args into a struct, improves run time
  * stress-wcs: bundle wcs function args into a struct, improves run time
  * core-hash: use builtin rotate macros for rotating values
  * core-builtin: re-work rotate helpers, add generalised rotate
    left/right macros
  * stress-list: use builtin shim_ror64
  * stress-resources: free resources before child exit
  * core-helper: fix stack size for non-first calls (incorrect cached value)
  * stress-pci: print PCI config and resource space read rates
  * core-helper: fix typo on STRESS_MAXIMUM macro
  * core-cache: Add 32 bit variants of 64 bit hashes
  * core-hash: add more comments to explain the nuances of memcpy
  * core-hash: xorror64: cast len to uint64_t before flipping bits
  * core-helper: simplify stack size calculations using STRESS_MAXIMUM macro
  * core-helper: limit iterations on stress_get_prime64
  * stress-priv-instr: remove extraneous ) for SPARC (again)
  * stress-priv-instr: remove extraneous ) for SPARC
  * stress-mlock: fix typo on time function
  * stress-judy: move judy_ops array to function scope
  * core-resources: clean up code, voidify, constify, misc cleanups
  * stress-dirdeep: only report directories being deleted if it is taking
    a while to complete
  * stress-dirdeep: remove commented out cruft.
  * stress-evivar: ignore ioctl FS_IOC_SETFLAGS error return
  * stress-sigio: use metrics interface to report SIGIOs per sec
  * stress-malloc: add missing tab
  * stress-judy: add judy insert/find/delete rate metrics
  * stress-jpeg: add compression ratio metrics
  * stress-getdent: add duration metrics for getdent call
  * stress-dev-shm: use more efficient method to touch pages with data
  * stress-dirdeep: remove empty line
  * stress-icache: fix spelling mistake in comment
  * stress-flock: add lock/unlock flock metrics
  * stress-zlib: use the generic metrics API to report metrics
  * stress-unshare: add unshare() duration metrics
  * stress-touch: remove empty line
  * stress-tlb-shootdown: remove empty line
  * stress-mremap: add metrics
  * stress-mlock: remove extraneous tab
  * stress-mlock: add mlock/munlock metrics
  * stress-*: replace hard coded time constants with #defined constants
  * Add x86intrin.h implementations for rotate left/right


=== debian/control ===
Source: stress-ng
Rules-Requires-Root: no
Section: devel
Priority: optional
Maintainer: Colin Ian King <colin.i.king@gmail.com>
Standards-Version: 4.6.1
Build-Depends: debhelper (>= 13),
               debhelper-compat (=13),
               zlib1g-dev,
               libbsd-dev,
               libgcrypt20-dev,
               libjpeg-dev,
               libkeyutils-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !linux-ia64],
               libapparmor-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               apparmor [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libaio-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libcap-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libsctp-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libipsec-mb-dev [amd64],
               libjudy-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libatomic1 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libkmod-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libxxhash-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libglvnd-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libgbm-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]

Homepage: https://github.com/ColinIanKing/stress-ng
Package: stress-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to load and stress a computer
 stress-ng can stress various subsystems of a computer.  It can stress load
 CPU, cache, disk, memory, socket and pipe I/O, scheduling and much more.
 stress-ng is a re-write of the original stress tool by Amos Waterland but
 has many additional features such as specifying the number of bogo operations
 to run, execution metrics, a stress verification on memory and compute
 operations and considerably more stress mechanisms.
